.TH DEVLINK\-MONITOR 8 "14 Mar 2016" "iproute2" "Linux"
.SH "NAME"
devlink-monitor \- state monitoring
.SH SYNOPSIS
.sp
.ad l
.in +8
.ti -8
.BR "devlink monitor" " [ " all " |"
.IR OBJECT-LIST " ]"
.sp

.SH DESCRIPTION
The
.B devlink
utility can monitor the state of devlink devices and ports
continuously. This option has a slightly different format. Namely, the
.B monitor
command is the first in the command line and then the object list.

.I OBJECT-LIST
is the list of object types that we want to monitor.
It may contain
.BR dev ", " port ", " health ".

.B devlink
opens Devlink Netlink socket, listens on it and dumps state changes.

.SH SEE ALSO
.BR devlink (8),
.BR devlink-dev (8),
.BR devlink-sb (8),
.BR devlink-port (8),
.BR devlink-health (8),
.br

.SH AUTHOR
Jiri Pirko <jiri@mellanox.com>
